List ERC-1155 balances
Lists ERC-1155 token balances of a wallet address.
Balance at a given block can be retrieved with the blockNumber parameter.
Balance for a specific contract can be retrieved with the contractAddress parameter.
Documentation Index
Fetch the complete documentation index at: https://developers.avacloud.io/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Api keys provide higher access to rate limits. To obtain an api key, sign up for an account at https://avacloud.io/.
Path Parameters
A supported evm chain id or blockchain id. Use the /chains endpoint to get a list of supported chain ids.
A wallet address.
Query Parameters
The block number, if not defined the block number will be the latest block.
A page token, received from a previous list call. Provide this to retrieve the subsequent page.
The maximum number of items to return. The minimum page size is 1. The maximum pageSize is 500.
1 <= x <= 500A contract addresses to filter by.
Response
Successful response
The native token balance for the address.
The list of ERC-1155 token balances for the address.
A token, which can be sent as pageToken to retrieve the next page. If this field is omitted or empty, there are no subsequent pages.